# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "klingt"
version = "0.3.0"
authors = ["Devin Brite <devin@dwbrite.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "klingt audio graph library?"
readme = false
license = "MIT"

[features]
cpal_sink = ["std"]
default = []
std = []
vorbis_src = ["std"]
warn_on_empty = []

[lib]
name = "klingt"
path = "src/lib.rs"

[[example]]
name = "audio_player"
path = "examples/audio_player.rs"
required-features = ["cpal_sink"]

[[example]]
name = "custom_node"
path = "examples/custom_node.rs"

[[example]]
name = "simple_sine"
path = "examples/simple_sine.rs"
required-features = ["cpal_sink"]

[[test]]
name = "integration_test"
path = "tests/integration_test.rs"

[[bench]]
name = "node_benchmarks"
path = "benches/node_benchmarks.rs"
harness = false

[dependencies.cpal]
version = "0.15.3"
features = ["wasm-bindgen"]

[dependencies.dasp_graph]
version = "0.11.0"
features = ["node-sum"]

[dependencies.delegate]
version = "0.13.0"

[dependencies.enum_delegate]
version = "0.2.0"

[dependencies.hashbrown]
version = "0.15"

[dependencies.itertools]
version = "0.14.0"

[dependencies.lewton]
version = "0.10.2"

[dependencies.petgraph]
version = "0.5.1"

[dependencies.rtrb]
version = "0.3.1"

[dependencies.tracing]
version = "0.1.40"

[dependencies.tracing-subscriber]
version = "0.3.18"

[dev-dependencies.clang-sys]
version = "1.8.1"

[dev-dependencies.criterion]
version = "0.5.1"

[dev-dependencies.dasp_frame]
version = "0.11.0"

[dev-dependencies.dasp_interpolate]
version = "0.11.0"
features = [
    "linear",
    "sinc",
]

[dev-dependencies.dasp_ring_buffer]
version = "0.11.0"

[dev-dependencies.dasp_sample]
version = "0.11.0"

[dev-dependencies.dasp_signal]
version = "0.11.0"
features = []

[dev-dependencies.itertools]
version = "0.13.0"

[dev-dependencies.symphonium]
version = "0.6.5"
features = [
    "ogg",
    "vorbis",
    "wav",
    "pcm",
    "mp3",
    "flac",
]
default-features = false

[dev-dependencies.tracing]
version = "0.1.40"

[dev-dependencies.tracing-subscriber]
version = "0.3.18"
